version: "3.3"
services:
  uptime-kuma:
    restart: always
    ports:
      - 3001:3001
    volumes:
      - uptime-kuma:/app/data
    container_name: uptime-kuma
    image: louislam/uptime-kuma:latest
    labels:
      - homepage.group=Apps
      - homepage.name=Uptime Kuma
      - homepage.icon=mdi-arrow-up-bold-circle
      - homepage.description=Service Monitoring (esh)
      - homepage.href=http://10.0.50.45:3001
      - homepage.widget.type=uptimekuma
      - homepage.widget.url=http://10.0.50.45:3001
      - homepage.widget.slug=nethealth
    networks:
      - tnet
volumes:
  uptime-kuma: {}
networks:
  tnet:
    name: traefik-net
    external: true
